/*
 * ImageSet.h
 *
 * (c) 2002 by Thorsten Scheuermann <tscheuermann@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef _IMAGESET_H
#define _IMAGESET_H

#include <qobject.h>
#include <qsortedlist.h>
#include <qstring.h>

class ImageInfo;
class DocLnkSet;

class ImageSet : public QObject
{
  Q_OBJECT

public:
  ImageSet(const QString& dir, QObject *parent = 0, const char *name = 0);
  virtual ~ImageSet();

  const QString &baseDirectory() const { return theDir; }
  virtual QList<ImageInfo>& children();

signals:
  void changed();

public slots:
  void update();
  void setBaseDirectory(const QString& dir);

protected:
  void addImages(DocLnkSet *dls);

  QString theDir;
  QSortedList<ImageInfo> imageList;
};

#endif
